LibreOffice: GraphicRasterizer Service Reference

LibreOffice LibreOffice 5.2 SDK API Reference

Exported Interfaces | List of all members
GraphicRasterizer Service Reference

Service that describes the necessary interfaces and properties to convert arbitrary graphic data to a XGraphic interface containing a pixel graphic, that can be rendered the usual ways. More...

`import"GraphicRasterizer.idl";`

Inheritance diagram for GraphicRasterizer:

## Exported Interfaces
interface | ::com::sun::star::graphic::XGraphicRasterizer
| Interface to initiate the rasterizing process. More...

## Additional Inherited Members
Public Member Functions inherited from XGraphicRasterizer
boolean | initializeData ([in] com::sun::star::io::XInputStream DataStream, [in] unsigned long DPI_X, [in] unsigned long DPI_Y, [out] com::sun::star::awt::Size DefaultSizePixel)
| Initializing the rasterizer. More...
com::sun::star::graphic::XGraphic | rasterize ([in] unsigned long Width, [in] unsigned long Height, [in] double RotateAngle, [in] double ShearAngle_X, [in] double ShearAngle_Y, [in] com::sun::star::beans::PropertyValues RasterizeProperties)
| Rasterizing the initialized data into a XGraphic container. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Service that describes the necessary interfaces and properties to convert arbitrary graphic data to a XGraphic interface containing a pixel graphic, that can be rendered the usual ways.

## Exported Interfaces

## § ::com::sun::star::graphic::XGraphicRasterizer

interface ::com::sun::star::graphic::XGraphicRasterizer

Interface to initiate the rasterizing process.

The documentation for this service was generated from the following file:

- com/sun/star/graphic/GraphicRasterizer.idl